<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Admin;


use App\Services\Common\AdSortService;

/**
 * 广告位管理-控制器
 * @author laravel开发员
 * @since 2020/11/11
 * Class AdSortController
 * @package App\Http\Controllers
 */
class AdSortController extends Backend
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * AdSortController constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->service = new AdSortService();
    }

    /**
     * 获取广告位列表
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function getAdSortList()
    {
        $result = $this->service->getAdSortList();
        return $result;
    }

}
