<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Admin;

use App\Services\Common\MemberLevelService;

/**
 * 会员等级-控制器
 * @author laravel开发员
 * @since 2020/11/11
 * Class MemberLevelController
 * @package App\Http\Controllers
 */
class MemberLevelController extends Backend
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * MemberLevelController constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->service = new MemberLevelService();
    }

    /**
     * 获取会员等级列表
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function getMemberLevelList()
    {
        $result = $this->service->getMemberLevelList();
        return $result;
    }

}
