<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Admin;

use App\Services\Common\NoticeService;

/**
 * 通知公告-控制器
 * @author laravel开发员
 * @since 2020/11/11
 * Class NoticeController
 * @package App\Http\Controllers
 */
class NoticeController extends Backend
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * NoticeController constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->service = new NoticeService();
    }

    /**
     * 设置置顶
     * @return mixed
     * @since 2020/11/21
     * @author laravel开发员
     */
    public function setIsTop()
    {
        $result = $this->service->setIsTop();
        return $result;
    }

}
