<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Services\Common;

use App\Models\MemberLevelModel;
use App\Services\BaseService;

/**
 * 会员等级-服务类
 * @author laravel开发员
 * @since 2020/11/11
 * Class MemberLevelService
 * @package App\Services\Common
 */
class MemberLevelService extends BaseService
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * MemberLevelService constructor.
     */
    public function __construct()
    {
        $this->model = new MemberLevelModel();
    }

    /**
     * 获取会员等级列表
     * @return array
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function getMemberLevelList()
    {
        $list = $this->model->where("mark", "=", 1)->get()->toArray();
        return message(MESSAGE_OK, true, $list);
    }

}
