<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Http\Controllers\Admin;

use App\Services\Common\UserService;

/**
 * 用户管理-控制器
 * @author laravel开发员
 * @since 2020/11/11
 * Class UserController
 * @package App\Http\Controllers
 */
class UserController extends Backend
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * UserController constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->service = new UserService();
    }

    /**
     * 重置密码
     * @return mixed
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function resetPwd()
    {
        $result = $this->service->resetPwd();
        return $result;
    }

}
