<?php

namespace App\Http\Controllers\Api;
use App\Services\RedisService;

/**
 * 语言控制器基类
 * Class LangController
 * @package App\Http\Controllers\Api
 */
class LangController extends webApp
{
    /**
     * 切换语言
     * @return array
     */
    public function switch(){
        $locale = request()->get('locale');
        if(empty($locale)){
            return message('2101',false);
        }
        RedisService::set("caches:locale:lang_{$this->userId}", $locale, 24 * 3600);
        session('lang_locale', $locale);
        return message(2102);
    }
}
