<?php
// +----------------------------------------------------------------------
// | LARAVEL8.0 框架 [ LARAVEL ][ RXThinkCMF ]
// +----------------------------------------------------------------------
// | 版权所有 2017~2021 LARAVEL研发中心
// +----------------------------------------------------------------------
// | 官方网站: http://www.laravel.cn
// +----------------------------------------------------------------------
// | Author: laravel开发员 <laravel.qq.com>
// +----------------------------------------------------------------------

namespace App\Services\Common;

use App\Models\AdSortModel;
use App\Services\BaseService;

/**
 * 广告位管理-服务类
 * @author laravel开发员
 * @since 2020/11/11
 * Class AdSortService
 * @package App\Services\Common
 */
class AdSortService extends BaseService
{
    /**
     * 构造函数
     * @author laravel开发员
     * @since 2020/11/11
     * AdSortService constructor.
     */
    public function __construct()
    {
        $this->model = new AdSortModel();
    }

    /**
     * 获取广告位列表
     * @return array
     * @since 2020/11/11
     * @author laravel开发员
     */
    public function getAdSortList()
    {
        $list = $this->model->where("mark", '=', 1)->get()->toArray();
        return message("操作成功", true, $list);
    }

}
