<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

// 授权登陆
Route::post('/login', [\App\Http\Controllers\Api\LoginController::class, 'login']);
Route::post('/register', [\App\Http\Controllers\Api\LoginController::class, 'register']);
Route::post('/sendmsm', [\App\Http\Controllers\Api\LoginController::class, 'sendmsm']);

// 测试
Route::match(['get','post'],'/test/check', [\App\Http\Controllers\Api\TestController::class, 'check']);
